<button (click)="back()" class="button is-back-button"><img class="has-right-margin" src="assets/images/back.png">Retour</button>
<form class="is-flex" [formGroup]="adminForm">
    <div [className]="globals.isMobile ? 'is-flex is-column is-centered has-margin-bottom-1' : 'is-flex is-centered'">
        <label for="nameArea">Nom de la question : <span>*</span></label>
        <input type="text" id="nameArea" formControlName="name" placeholder="Nom de la question">
    </div>
    <div [className]="globals.isMobile ? 'is-flex is-column is-centered' : 'is-flex is-centered'">
            <label for="questionArea">Question : <span>*</span></label>
            <textarea *ngIf="!globals.isMobile" id="questionArea" rows="10" cols="30" formControlName="question">
            </textarea>
            <textarea *ngIf="globals.isMobile" id="questionArea" rows="5" class="no-resize" cols="20" formControlName="question">
            </textarea>
        <div class="is-flex is-column has-left-margin">
            <div class="is-flex is-centered">
                <label for="moduleArea">Matière : <span>*</span></label>
                <select [className]="globals.isMobile ? '' : 'fixed-size'" id="moduleArea" formControlName="module">
                    <option disabled [ngValue]="null">---- Pas choisi ----</option>
                    <option *ngFor="let module of modules" [ngValue]="module.value">
                        {{ module.text }}
                    </option>
                </select>
            </div>
            <div class="is-flex is-centered">
                <label class="has-left-margin" for="difficultyArea">Difficulté : <!--<span>*</span>--></label>
                <select [className]="globals.isMobile ? 'fixed-size-diff' : 'fixed-size'"  id="difficultyArea" formControlName="difficulty">
                    <option *ngFor="let dif of difficulty" [ngValue]="dif">
                        {{ dif }}
                    </option>
                </select>
            </div>
            <div class="is-flex is-centered">
                <label class="has-left-margin" for="levelArea">Niveau : <span>*</span></label>
                <select [className]="globals.isMobile ? '' : 'fixed-size'"  id="levelArea" formControlName="level">
                    <option disabled [ngValue]="null">---- Pas choisi ----</option>
                    <option *ngFor="let level of levels" [ngValue]="level.value">
                        {{ level.text }}
                    </option>
                </select>
            </div>
        </div>
    </div>
    <div [className]="globals.isMobile ? 'is-flex is-centered is-column' : 'is-flex is-centered'">
        <div [className]="globals.isMobile ? 'is-flex is-column' : 'is-flex is-column has-right-margin'">
            <label for="AnswerArea"> Bonne réponse : <span>*</span></label>
            <textarea *ngIf="!globals.isMobile" id="AnswerArea"  rows="10" cols="30" formControlName="answer">
            </textarea>
            <textarea id="AnswerArea" *ngIf="globals.isMobile" rows="5" class="no-resize"  cols="20" formControlName="answer">
            </textarea>
        </div>
        <div [className]="globals.isMobile ? 'is-flex is-column' : 'is-flex is-column has-left-margin'">
            <label for="badAnswerArea">Mauvaise réponse : <span>*</span></label>
            <textarea *ngIf="!globals.isMobile" id="badAnswerArea"  rows="10"  cols="30" formControlName="badAnswer">
            </textarea>
            <textarea id="badAnswerArea" *ngIf="globals.isMobile" rows="5" class="no-resize" class="no-resize is-fixed" cols="20" formControlName="badAnswer">
            </textarea>
        </div>
 
    </div>
    <div [className]="globals.isMobile ? 'is-flex is-centered is-column' : 'is-flex is-centered'">
        <label for="explanationArea">Explication : <span>*</span></label>
        <textarea *ngIf="!globals.isMobile"  id="explanationArea"   rows="10" cols="30" formControlName="explanation">
        </textarea>
        <textarea id="explanationArea" *ngIf="globals.isMobile" rows="5" class="no-resize" cols="20" formControlName="explanation">
        </textarea>
    </div>
    <div [className]="globals.isMobile ? 'is-flex is-centered is-column' : 'is-flex is-centered'">
        <button (click)="addClue()" class="button is-flex is-black-button" [disabled]="display"><img class="has-margin-right-1" width="20px" src="assets/images/plus.png" />Ajouter un indice</button>
        <button *ngIf="counter !== 0" [className]="globals.isMobile ? 'button is-flex has-margin-top-1 is-black-button' : 'button is-flex has-left-margin is-black-button'" (click)="removeClue()"><img class="has-margin-right-1" width="20px" src="assets/images/remove.png"/>  Supprimer un indice</button>
    </div>
    <div [className]="globals.isMobile ? 'is-flex is-column' : 'is-flex'">
        <div *ngIf="clue1" [className]="globals.isMobile ? 'is-flex is-centered is-column has-margin-top-1' : 'is-flex is-centered'">
            <label for="clue1Area">Indice n°1 : </label>
            <textarea id="clue1Area" *ngIf="!globals.isMobile" rows="10" cols="30" formControlName="clue1">
            </textarea>
            <textarea id="clue1Area" *ngIf="globals.isMobile" rows="5" class="no-resize" cols="20" formControlName="clue1">
            </textarea>
        </div>
        <div *ngIf="clue2"[className]="globals.isMobile ? 'is-flex is-centered is-column' : 'is-flex is-centered has-left-margin'">
            <label for="clue2Area">Indice n°2 : </label>
            <textarea id="clue2Area" *ngIf="!globals.isMobile" rows="10" cols="30" formControlName="clue2">
            </textarea>
            <textarea id="clue2Area" *ngIf="globals.isMobile"  rows="5" class="no-resize" cols="20" formControlName="clue2">
            </textarea>
        </div>
    </div>
   
    <div *ngIf="clue3"  [className]="globals.isMobile ? 'is-flex is-centered is-column has-margin-top-1' : 'is-flex is-centered'">
        <label for="clue3Area">Indice n°3 : </label>
        <textarea id="clue3Area" *ngIf="!globals.isMobile" rows="10" cols="30" formControlName="clue3">
        </textarea>
        <textarea id="clue3Area" *ngIf="globals.isMobile" rows="5" class="no-resize" cols="20" formControlName="clue3">
        </textarea>
    </div> 

    <div class="is-flex is-centered">
        <button class="button default-style is-black-button" #SubmitButton *ngIf="adminForm.valid" type="submit" (click)="submitForm()">Valider</button>
        <div *ngIf="failure" class="notification is-danger has-left-margin is-flex is-centered">
            <button class="delete" (click)="fail()"></button>
            <img src="assets/images/ex.png"/>
            <p class="has-left-margin">Quelque chose s'est mal passé.</p>
        </div>
    </div>
</form>